www-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Karl Heinz Marbaise <khmarba...@gmx.de>
Subject Re: Jenkins Maven Matrix - and consolidating of versions.
Date Sun, 14 Aug 2016 12:29:13 GMT
Hi,

On 14/08/16 13:28, Gav wrote:
> exclude ubuntu3 please

Done so and test successful...
Thanks for the hint..

Kind regards
Karl Heinz Marbaise
>
> On Sun, Aug 14, 2016 at 9:24 PM, Karl Heinz Marbaise <khmarbaise@gmx.de
> <mailto:khmarbaise@gmx.de>> wrote:
>
>     Hi Gav,
>
>
>     On 14/08/16 13:19, Gav wrote:
>
>         3.3.9 is present , can i ask why you think it isnt?
>
>
>     Maybe I'm wrong but this:
>
>     FATAL: Couldn?t find any executable in
>     /home/jenkins/tools/maven/apache-maven-3.3.9
>     Build step 'Invoke top-level Maven targets' marked build as failure
>     Recording test results
>     {code}
>
>     gives me the impression?
>
>     https://builds.apache.org/view/M-R/view/Maven/job/core-integration-testing-maven-3-jdk-1.8/configure
>     <https://builds.apache.org/view/M-R/view/Maven/job/core-integration-testing-maven-3-jdk-1.8/configure>
>
>     Cause it is configured to use Maven 3.3.9 but with the above error ?
>
>
>     Kind regards
>     Karl Heinz Marbaise
>
>     [1]: https://issues.apache.org/jira/browse/INFRA-12429
>     <https://issues.apache.org/jira/browse/INFRA-12429>
>
>
>
>
>
>
>         On Sun, Aug 14, 2016 at 8:53 PM, Karl Heinz Marbaise
>         <khmarbaise@gmx.de <mailto:khmarbaise@gmx.de>
>         <mailto:khmarbaise@gmx.de <mailto:khmarbaise@gmx.de>>> wrote:
>
>             Hi,
>
>             Furthermore we need Maven 3.3.9 to test our latest builds
>         ...cause
>             at the moment it looks it is not installed ?
>
>             I think the list should be:
>
>             Maven 3.0.5, 3.1.1, 3.2.5, 3.3.9
>
>             the newest releases of the appropriate line..
>
>             Kind regards
>             Karl Heinz Marbaise
>
>
>             On 03/08/16 18:11, herve.boutemy@free.fr
>         <mailto:herve.boutemy@free.fr>
>             <mailto:herve.boutemy@free.fr
>         <mailto:herve.boutemy@free.fr>> wrote:
>
>                 Hi,
>
>                 Great!
>                 Is it possible to have the same on Windows nodes,please?
>                 Or remove some old versions if it helps
>
>                 Regards,
>
>                 Hervé
>
>                 ----- Mail original -----
>                 De: "Gav" <gmcdonald@apache.org
>         <mailto:gmcdonald@apache.org> <mailto:gmcdonald@apache.org
>         <mailto:gmcdonald@apache.org>>>
>                 À: "Christopher" <ctubbsii@apache.org
>         <mailto:ctubbsii@apache.org> <mailto:ctubbsii@apache.org
>         <mailto:ctubbsii@apache.org>>>
>                 Cc: builds@apache.org <mailto:builds@apache.org>
>         <mailto:builds@apache.org <mailto:builds@apache.org>>,
>                 "infrastructure@apache.org
>         <mailto:infrastructure@apache.org>
>         <mailto:infrastructure@apache.org
>         <mailto:infrastructure@apache.org>>
>                 Infrastructure" <infrastructure@apache.org
>         <mailto:infrastructure@apache.org>
>                 <mailto:infrastructure@apache.org
>         <mailto:infrastructure@apache.org>>>
>                 Envoyé: Mercredi 3 Août 2016 16:22:30
>                 Objet: Re: Jenkins Maven Matrix - and consolidating of
>         versions.
>
>
>
>
>
>
>                 On Wed, Aug 3, 2016 at 12:27 AM, Christopher <
>                 ctubbsii@apache.org <mailto:ctubbsii@apache.org>
>         <mailto:ctubbsii@apache.org <mailto:ctubbsii@apache.org>> > wrote:
>
>
>
>
>                 Please keep 3.2.5 and 3.0.5.
>                 3.2.5 is the last version which runs on java 6, and 3.0.5
>                 matches what's available to enterprise users in RHEL7.
>
>
>                 Makes sense, I'll do that and let you know when its in
>         place.
>
>
>                 Gav...
>
>
>
>
>
>
>
>
>                 On Mon, Aug 1, 2016, 19:45 Gav < gmcdonald@apache.org
>         <mailto:gmcdonald@apache.org>
>                 <mailto:gmcdonald@apache.org
>         <mailto:gmcdonald@apache.org>> > wrote:
>
>
>
>
>
>
>
>
>                 Hi All,
>
>                 Following on from my mail a few days ago regarding JDKs,
>         here is
>                 one regarding the
>                 Maven drop down versions, what we have; and what we
>         intend to drop.
>
>                 I went through all the Maven drop down options available
>         in the
>                 Jenkins UI when
>                 creating a build.The Confluence wiki page at :-
>
>
>         https://cwiki.apache.org/confluence/display/INFRA/Maven+Installation+Matrix
>         <https://cwiki.apache.org/confluence/display/INFRA/Maven+Installation+Matrix>
>
>         <https://cwiki.apache.org/confluence/display/INFRA/Maven+Installation+Matrix
>         <https://cwiki.apache.org/confluence/display/INFRA/Maven+Installation+Matrix>>
>
>                 lists them all.
>
>                 There are 10 listed auto-install versions that we intend
>         to drop
>                 7 days from now.
>
>                 Those are : 2.0.9, 2.0.10, 3.0.2, 3.0.3, 3.0.5, 3.1.0,
>         3.1.1,
>                 3.2.5, 3.3.1, 3.3.3
>
>
>                 Please plan on migrating away from these versions before
>         then.
>
>
>
>                 In contrast, there are 3 'latest' links that are bang
>         upto date
>                 and symlinked. Going
>
>                 forward we intend to install new versions as they come out.
>
>
>                 There are currently 4 Maven versions installed via
>         puppet that
>                 wont go away, 2.2.1, 3.0.4, 3.2.1 and 3.3.9. Unless
>         there is a
>                 strong need for any other version, once we drop the
>                 auto-installed versions, that's what we will end up with.
>
>
>
>
>
>                 Any follow up questions, please do concentrate your email
>                 responses to the builds@ mailing list.
>
>
>                 Thanks!
>
>
>                 Gav... (On behalf of the Infrastructure Team)
>
>
>
>
>
>
>
>
>             Mit freundlichem Gruß
>             Karl-Heinz Marbaise
>             --
>             SoftwareEntwicklung Beratung Schulung    Tel.: +49 (0) 2405
>         / 415 <tel:%2B49%20%280%29%202405%20%2F%20415>
>             893 <tel:%2B49%20%280%29%202405%20%2F%20415%20893>
>             Dipl.Ing.(FH) Karl-Heinz Marbaise        USt.IdNr: DE191347579
>             Hauptstrasse 177
>             52146 Würselen                           http://www.soebes.de
>
>
>
>
>     Mit freundlichem Gruß
>     Karl-Heinz Marbaise
>     --
>     SoftwareEntwicklung Beratung Schulung    Tel.: +49 (0) 2405 / 415
>     893 <tel:%2B49%20%280%29%202405%20%2F%20415%20893>
>     Dipl.Ing.(FH) Karl-Heinz Marbaise        USt.IdNr: DE191347579
>     Hauptstrasse 177
>     52146 Würselen                           http://www.soebes.de
>
>


Mit freundlichem Gruß
Karl-Heinz Marbaise
-- 
SoftwareEntwicklung Beratung Schulung    Tel.: +49 (0) 2405 / 415 893
Dipl.Ing.(FH) Karl-Heinz Marbaise        USt.IdNr: DE191347579
Hauptstrasse 177
52146 Würselen                           http://www.soebes.de

Mime
View raw message